import request from '@/utils/request'

// 查询系统应用注册列表
export function listApplyConfig(query) {
  return request({
    url: '/system/applyConfig/list',
    method: 'get',
    params: query
  })
}

// 查询系统应用注册详细
export function getApplyConfig(id) {
  return request({
    url: '/system/applyConfig/' + id,
    method: 'get'
  })
}

// 新增系统应用注册
export function addApplyConfig(data) {
  return request({
    url: '/system/applyConfig',
    method: 'post',
    data: data
  })
}

// 修改系统应用注册
export function updateApplyConfig(data) {
  return request({
    url: '/system/applyConfig',
    method: 'put',
    data: data
  })
}

// 删除系统应用注册
export function delApplyConfig(id) {
  return request({
    url: '/system/applyConfig/' + id,
    method: 'delete'
  })
}

// 生成有效的AppId
export function getApplyId() {
  return request({
    url: '/system/applyConfig/createAppId',
    method: 'get'
  })
}
